Bug 961762 - [abrt] mate-calc-1.5.2-1.fc18: pf_do_x_pow_y_int: Process /usr/bin/mate-calc was killed by signal 11 (SIGSEGV)
[abrt] mate-calc-1.5.2-1.fc18: pf_do_x_pow_y_int: Process /usr/bin/mate-calc ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-calc (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:ab6f5b84b1846275a32cd4351aa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 07:01 EDT by das
Modified: 2013-06-07 19:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: mate-file-manager-open-terminal-1.6.0-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 19:28:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.27 KB, text/plain)
2013-05-10 07:01 EDT, das
no flags Details
File: cgroup (125 bytes, text/plain)
2013-05-10 07:01 EDT, das
no flags Details
File: core_backtrace (872 bytes, text/plain)
2013-05-10 07:01 EDT, das
no flags Details
File: dso_list (7.63 KB, text/plain)
2013-05-10 07:02 EDT, das
no flags Details
File: environ (1.62 KB, text/plain)
2013-05-10 07:02 EDT, das
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-10 07:02 EDT, das
no flags Details
File: maps (41.26 KB, text/plain)
2013-05-10 07:02 EDT, das
no flags Details
File: open_fds (829 bytes, text/plain)
2013-05-10 07:02 EDT, das
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-05-10 07:02 EDT, das
no flags Details
File: var_log_messages (289 bytes, text/plain)
2013-05-10 07:02 EDT, das
no flags Details

  None (edit)
Description das 2013-05-10 07:01:45 EDT
Description of problem:
I was using Mate Calculator. 

Version-Release number of selected component:
mate-calc-1.5.2-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        mate-calc
crash_function: pf_do_x_pow_y_int
executable:     /usr/bin/mate-calc
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1
xsession_errors: 

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 pf_do_x_pow_y_int at parserfunc.c:608
 #1 p_parse at parser.c:276
 #2 mp_equation_parse at mp-equation.c:266
 #3 parse at math-equation.c:1184
 #4 math_equation_solve_real at math-equation.c:1219
 #5 g_thread_proxy at gthread.c:797
Comment 1 das 2013-05-10 07:01:51 EDT
Created attachment 746099 [details]
File: backtrace
Comment 2 das 2013-05-10 07:01:55 EDT
Created attachment 746100 [details]
File: cgroup
Comment 3 das 2013-05-10 07:01:58 EDT
Created attachment 746102 [details]
File: core_backtrace
Comment 4 das 2013-05-10 07:02:02 EDT
Created attachment 746103 [details]
File: dso_list
Comment 5 das 2013-05-10 07:02:08 EDT
Created attachment 746104 [details]
File: environ
Comment 6 das 2013-05-10 07:02:11 EDT
Created attachment 746105 [details]
File: limits
Comment 7 das 2013-05-10 07:02:16 EDT
Created attachment 746107 [details]
File: maps
Comment 8 das 2013-05-10 07:02:20 EDT
Created attachment 746108 [details]
File: open_fds
Comment 9 das 2013-05-10 07:02:23 EDT
Created attachment 746109 [details]
File: proc_pid_status
Comment 10 das 2013-05-10 07:02:26 EDT
Created attachment 746110 [details]
File: var_log_messages
Comment 11 Fedora Update System 2013-06-05 10:38:20 EDT
mate-file-manager-open-terminal-1.6.0-1.fc18, mate-media-1.6.0-2.fc18, mate-file-manager-image-converter-1.6.0-1.fc18, mate-menu-editor-1.6.0-1.fc18, mate-netspeed-1.6.0-1.fc18, mate-system-monitor-1.6.0-1.fc18, mate-file-manager-sendto-1.6.0-1.fc18, mate-backgrounds-1.6.0-1.fc18, mate-applets-1.6.1-1.fc18, mate-desktop-1.6.1-6.fc18, mate-keyring-1.6.0-2.fc18, mate-themes-1.6.0-1.fc18, mate-image-viewer-1.6.0-1.fc18, mate-file-manager-1.6.1-4.fc18, mate-control-center-1.6.0-1.fc18, mate-notification-daemon-1.6.0-1.fc18, libmatewnck-1.6.0-1.fc18, mate-settings-daemon-1.6.0-1.fc18, mate-icon-theme-1.6.0-1.fc18, libmatekeyring-1.6.0-1.fc18, mate-dialogs-1.6.0-1.fc18, mate-polkit-1.6.0-1.fc18, mate-window-manager-1.6.1-1.fc18, libmatekbd-1.6.0-1.fc18, mate-screensaver-1.6.0-1.fc18, mate-calc-1.6.0-1.fc18, mate-utils-1.6.0-1.fc18, mate-text-editor-1.6.0-1.fc18, mate-terminal-1.6.1-5.fc18, mate-panel-1.6.0-1.fc18, mate-menus-1.6.0-1.fc18, mate-session-manager-1.6.0-3.fc18, mate-bluetooth-1.6.0-1.fc18, mate-power-manager-1.6.1-1.fc18, libmateweather-1.6.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-9593/mate-keyring-1.6.0-2.fc18,mate-applets-1.6.1-1.fc18,mate-calc-1.6.0-1.fc18,mate-utils-1.6.0-1.fc18,mate-control-center-1.6.0-1.fc18,mate-desktop-1.6.1-6.fc18,mate-notification-daemon-1.6.0-1.fc18,libmatewnck-1.6.0-1.fc18,mate-settings-daemon-1.6.0-1.fc18,mate-icon-theme-1.6.0-1.fc18,libmatekeyring-1.6.0-1.fc18,mate-dialogs-1.6.0-1.fc18,mate-polkit-1.6.0-1.fc18,mate-window-manager-1.6.1-1.fc18,libmatekbd-1.6.0-1.fc18,mate-screensaver-1.6.0-1.fc18,mate-file-manager-open-terminal-1.6.0-1.fc18,mate-media-1.6.0-2.fc18,mate-file-manager-image-converter-1.6.0-1.fc18,mate-menu-editor-1.6.0-1.fc18,mate-netspeed-1.6.0-1.fc18,mate-system-monitor-1.6.0-1.fc18,mate-file-manager-sendto-1.6.0-1.fc18,mate-bluetooth-1.6.0-1.fc18,mate-text-editor-1.6.0-1.fc18,mate-image-viewer-1.6.0-1.fc18,mate-themes-1.6.0-1.fc18,mate-backgrounds-1.6.0-1.fc18,mate-terminal-1.6.1-5.fc18,mate-panel-1.6.0-1.fc18,mate-menus-1.6.0-1.fc18,mate-session-manager-1.6.0-3.fc18,mate-file-manager-1.6.1-4.fc18,mate-power-manager-1.6.1-1.fc18,libmateweather-1.6.1-1.fc18
Comment 12 Fedora Update System 2013-06-07 19:28:16 EDT
mate-file-manager-open-terminal-1.6.0-1.fc18, mate-media-1.6.0-2.fc18, mate-file-manager-image-converter-1.6.0-1.fc18, mate-menu-editor-1.6.0-1.fc18, mate-netspeed-1.6.0-1.fc18, mate-system-monitor-1.6.0-1.fc18, mate-file-manager-sendto-1.6.0-1.fc18, mate-backgrounds-1.6.0-1.fc18, mate-applets-1.6.1-1.fc18, mate-desktop-1.6.1-6.fc18, mate-keyring-1.6.0-2.fc18, mate-themes-1.6.0-1.fc18, mate-image-viewer-1.6.0-1.fc18, mate-file-manager-1.6.1-4.fc18, mate-control-center-1.6.0-1.fc18, mate-notification-daemon-1.6.0-1.fc18, libmatewnck-1.6.0-1.fc18, mate-settings-daemon-1.6.0-1.fc18, mate-icon-theme-1.6.0-1.fc18, libmatekeyring-1.6.0-1.fc18, mate-dialogs-1.6.0-1.fc18, mate-polkit-1.6.0-1.fc18, mate-window-manager-1.6.1-1.fc18, libmatekbd-1.6.0-1.fc18, mate-screensaver-1.6.0-1.fc18, mate-calc-1.6.0-1.fc18, mate-utils-1.6.0-1.fc18, mate-text-editor-1.6.0-1.fc18, mate-terminal-1.6.1-5.fc18, mate-panel-1.6.0-1.fc18, mate-menus-1.6.0-1.fc18, mate-session-manager-1.6.0-3.fc18, mate-bluetooth-1.6.0-1.fc18, mate-power-manager-1.6.1-1.fc18, libmateweather-1.6.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.